Package edu.wisc.game.saved

## Class TranscriptManager.ReadTranscriptData

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<TranscriptManager.ReadTranscriptData.Entry>
      - - edu.wisc.game.saved.TranscriptManager.ReadTranscriptData

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Iterable<TranscriptManager.ReadTranscriptData.Entry>`, `Collection<TranscriptManager.ReadTranscriptData.Entry>`, `List<TranscriptManager.ReadTranscriptData.Entry>`, `RandomAccess`
  Enclosing class:
    TranscriptManager

      public static class TranscriptManager.ReadTranscriptData
      extends Vector<TranscriptManager.ReadTranscriptData.Entry>

  Some of the transcript data read back from a file. This is used when we need to read and statistically analyze old transcripts.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TranscriptManager.ReadTranscriptData.Entry` | Stores the content of one line (representing one move/pick attempt) read back from the transcript file

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CsvData.BasicLineEntry` | `header` |

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadTranscriptData​(File csvFile)` | Reads in the entire content of a transcript file for a player.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int[]` | `asVectorY​(Vector<TranscriptManager.ReadTranscriptData.Entry> v)` | Returns an array of 0s and 1s, for denied and accepted move attempts

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

- - ### Field Detail

    - #### header

          public final CsvData.BasicLineEntry header

  - ### Constructor Detail

    - #### ReadTranscriptData

          public ReadTranscriptData​(File csvFile)
                             throws IOException,
                                    IllegalInputException

      Reads in the entire content of a transcript file for a player. Ignores picks at empty cells, as they represent the player's failing to understand the notation, or "slips of the fingers", and may drive p0 calculation crazy.
      Throws:
        `IOException`
        `IllegalInputException`

  - ### Method Detail

    - #### asVectorY

          public static int[] asVectorY​(Vector<TranscriptManager.ReadTranscriptData.Entry> v)

      Returns an array of 0s and 1s, for denied and accepted move attempts